summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2010-05-24 00:51:50 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-24 16:10:22 -0500
commit0f781813c2d40147fd1a111fac6514694bf24ffc (patch)
treecbb8f4afbc48fcf9c457c2ce4b073d253a7b4942 /games
parente4d29e0e7ec8e7d3a4afd534f826f18a6b6324bd (diff)
downloadslackbuilds-0f781813c2d40147fd1a111fac6514694bf24ffc.tar.gz
slackbuilds-0f781813c2d40147fd1a111fac6514694bf24ffc.tar.xz
games/vbam: Patched to build on 13.1
The patch is mine, so if it's wrong, blame me. :-)
Diffstat (limited to 'games')
-rw-r--r--games/vbam/README16
-rw-r--r--games/vbam/slack-desc10
-rw-r--r--games/vbam/vbam-r856-debugger.cpp.diff16
-rw-r--r--games/vbam/vbam.SlackBuild32
-rw-r--r--games/vbam/vbam.info2
5 files changed, 53 insertions, 23 deletions
diff --git a/games/vbam/README b/games/vbam/README
index 6406f74469..36fc34b35c 100644
--- a/games/vbam/README
+++ b/games/vbam/README
@@ -1,9 +1,7 @@
-Our goal is to improve upon VisualBoyAdvance by integrating
-the best features from the various builds floating around.
-Unfortunately work on the "official" project seems to have
-stalled. Independent developers have added excellent
-features to VBA, but seem to have done so individually. The
-source codes for many of these forks seem to be abandoned,
-outdated or missing altogether. We aim to preserve all of
-the hard work done by these developers to make the already
-great VisualBoyAdvance even better!
+Our goal is to improve upon VisualBoyAdvance by integrating the best features
+from the various builds floating around. Unfortunately work on the "official"
+project seems to have stalled. Independent developers have added excellent
+features to VBA, but seem to have done so individually. The source codes for
+many of these forks seem to be abandoned, outdated or missing altogether.
+We aim to preserve all of the hard work done by these developers to make the
+already great VisualBoyAdvance even better!
diff --git a/games/vbam/slack-desc b/games/vbam/slack-desc
index 9fa5a95a1e..8fc3b61e7a 100644
--- a/games/vbam/slack-desc
+++ b/games/vbam/slack-desc
@@ -12,8 +12,8 @@ vbam: vbam is a project dedicated to gathering community patches to the
vbam: VisualBoyAdvance GameBoy emulator into one easily accessible project.
vbam:
vbam: Homepage: http://vba-m.ngemu.com
-vbam:
-vbam:
-vbam:
-vbam:
-vbam:
+vbam:
+vbam:
+vbam:
+vbam:
+vbam:
diff --git a/games/vbam/vbam-r856-debugger.cpp.diff b/games/vbam/vbam-r856-debugger.cpp.diff
new file mode 100644
index 0000000000..e50a13744b
--- /dev/null
+++ b/games/vbam/vbam-r856-debugger.cpp.diff
@@ -0,0 +1,16 @@
+diff -Nur vbam-r856.orig//src/sdl/debugger.cpp vbam-r856/src/sdl/debugger.cpp
+--- vbam-r856.orig//src/sdl/debugger.cpp 2009-01-01 10:11:02.000000000 -0600
++++ vbam-r856/src/sdl/debugger.cpp 2010-05-24 00:45:28.625665663 -0500
+@@ -941,10 +941,10 @@
+ u32 address = 0;
+ u32 value = 0;
+ int type = 0;
+- const char *s = args[1];
++ char *s = args[1];
+ char c = *s;
+ if(strchr(s, ':')) {
+- const char *name = s;
++ char *name = s;
+ char *l = strchr(s, ':');
+ *l++ = 0;
+ int line = atoi(l);
diff --git a/games/vbam/vbam.SlackBuild b/games/vbam/vbam.SlackBuild
index fb3fb9d7aa..4e671377fd 100644
--- a/games/vbam/vbam.SlackBuild
+++ b/games/vbam/vbam.SlackBuild
@@ -20,10 +20,19 @@
PRGNAM=vbam
VERSION=r856
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -38,29 +47,36 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix an invalid conversion from const char to char
+patch -p1 < $CWD/vbam-r856-debugger.cpp.diff
+
cmake . \
-DCMAKE_C_FLAGS="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
-DCMAKE_INSTALL_PREFIX="/usr" \
- -DNO_GTK=1 \
- || exit 1
+ -DNO_GTK=1
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/games/vbam/vbam.info b/games/vbam/vbam.info
index d0f333d1d5..f91fd0bb4a 100644
--- a/games/vbam/vbam.info
+++ b/games/vbam/vbam.info
@@ -7,4 +7,4 @@ DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="JK Wood"
EMAIL="joshuakwood@gmail.com"
-APPROVED="dsomero"
+APPROVED="rworkman"